Package org.eclipse.rdf4j.model.base

## Interface CoreDatatype

- All Known Implementing Classes:
    `CoreDatatype.GEO`, `CoreDatatype.RDF`, `CoreDatatype.XSD`

      public interface CoreDatatype

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CoreDatatype.GEO` |
    `static class` | `CoreDatatype.RDF` |
    `static class` | `CoreDatatype.XSD` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CoreDatatype` | `NONE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default Optional<CoreDatatype.GEO>` | `asGEODatatype()` |
    `default Optional<CoreDatatype.RDF>` | `asRDFDatatype()` |
    `default Optional<CoreDatatype.XSD>` | `asXSDDatatype()` |
    `static CoreDatatype` | `from​(IRI datatype)` |
    `IRI` | `getIri()` |
    `default boolean` | `isGEODatatype()` |
    `default boolean` | `isRDFDatatype()` |
    `default boolean` | `isXSDDatatype()` | Checks whether the supplied datatype is an XML Schema Datatype.

- - ### Field Detail

    - #### NONE

          static final CoreDatatype NONE

  - ### Method Detail

    - #### isXSDDatatype

          default boolean isXSDDatatype()

      Checks whether the supplied datatype is an XML Schema Datatype.
      Returns:
        true if the datatype is an XML Schema Datatype

    - #### isRDFDatatype

          default boolean isRDFDatatype()

    - #### isGEODatatype

          default boolean isGEODatatype()

    - #### asXSDDatatype

          default Optional<CoreDatatype.XSD> asXSDDatatype()

    - #### asRDFDatatype

          default Optional<CoreDatatype.RDF> asRDFDatatype()

    - #### asGEODatatype

          default Optional<CoreDatatype.GEO> asGEODatatype()

    - #### getIri

          IRI getIri()

    - #### from

          static CoreDatatype from​(IRI datatype)